Change a member's tenant roles
PUT
/api/v1/tenants/{tenantId}/participations/{participationId}/roles
const url = 'https://app.avera.io/api/v1/tenants/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/participations/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/roles';const options = { method: 'PUT', headers: {'Content-Type': 'application/json'}, body: '{"roles":["example"]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://app.avera.io/api/v1/tenants/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/participations/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/roles \ --header 'Content-Type: application/json' \ --data '{ "roles": [ "example" ] }'User-admin gated, with an escalation ceiling and last-owner protection enforced.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”tenantId
required
string format: uuid
participationId
required
string format: uuid
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
roles
required
Array<string>
Example generated
{ "roles": [ "example" ]}Responses
Section titled “Responses”OK
Media type*/*
object
id
required
string format: uuid
tenantId
required
string format: uuid
tenantName
string | null
tenantSlug
string | null
userId
required
string format: uuid
scope
required
string
roles
required
Array<string>
publicDisplayName
required
string
status
required
string
startDate
required
string format: date-time
endDate
string | null format: date-time
acceptedAt
string | null format: date-time
invitationReason
string | null
agreementRef
string | null
createdAt
required
string format: date-time